# -*- encoding: utf-8 -*-
##############################################################################
#
#    Copyright (c) 2011 Ting & Avanzosc (http://www.openerpsite.com) All Rights Reserved.
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see http://www.gnu.org/licenses/.
#
##############################################################################

{
	"name" : "MRP Master Extension",
	"version" : "0.1",
	"description" : """WARNING: To install this these modules you ONLY need the official mrp module and additionally you can install mrp_jit module. Is not compatible with other mrp official modules.
	
	This module adds new features to the actual OpenERP manufacturing:
	
	* Extended mrp module and added a new concept about Operation, Factory and improved Work Center features.
	* Extended BOM to be able to specify consumed products in specific Operation
	* Extended MRP Order in order to have a complete Dashboard with scheduled and real operation traceability, cost management...
	* New features in Real Operations taking into account cost and timing in analytics.
	""",
	"author" : "AvanzOSC & Ting!",
	"website" : "http://ting.es - http://www.avanzosc.com",
	"depends" : [
		'stock',
		'mrp',
		'sale',
		'procurement',
		'sale_mrp',
		'avanzosc_product_extended',
		'account'
	],
	"category" : "Custom Modules",
	"init_xml" : [],
	"demo_xml" : [],
	"update_xml" : [
		'security/ir.model.access.csv',
		'wizard/routing_assign_view.xml',
		'wizard/new_manufacturing_user_view.xml',
		'wizard/partial_production_view.xml',
		'wizard/prod_parcial_picking_view.xml',
		'wizard/upgrade_costs_bom_line_view.xml',
		'wizard/wizard_check_disponibility_view.xml',
		'wizard/wizard_force_disponibility_view.xml',
		'wizard/wizard_process_internal_pickings_view.xml',
		'wizard/wizard_return_products_view.xml',
		'mrp_factory_view.xml',
		'mrp_workcenter_view.xml',
		'mrp_operation_view.xml',
		'mrp_routing_view.xml',
        'mrp_bom_view.xml',
		'mrp_production_view.xml',
		'sale_order_ext_view.xml',
		'sale_order_line_ext_view.xml',
		'procurement_order_ext_view.xml',
		'stock_production_lot_ext_view.xml',
		'product_product_ext_view.xml',
		'account_analytic_char_ext_view.xml',
		'product/product_view.xml',
		'stock/stock_view_inh.xml'
	],
	"active": False,
	"installable": True
}
