# -*- encoding: utf-8 -*-
##############################################################################
#
#    Avanzosc - Avanced Open Source Consulting
#    Copyright (C) 2011 - 2013 Avanzosc <http://www.avanzosc.com>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see http://www.gnu.org/licenses/.
#
##############################################################################
from osv import osv
from osv import fields
from tools.translate import _
import decimal_precision as dp

class stock_production_lot(osv.osv):

    _inherit = 'stock.production.lot'

    _columns = {# Fecha Caducidad
                'expiration_date': fields.datetime('Expiration Date', readonly=True),
                # Coste Total
                'total_cost': fields.float('Total Cost', digits_compute= dp.get_precision('Sale Price'), readonly=True),
                # Coste Unitario
                'unit_cost': fields.float('Unit Cost', digits_compute= dp.get_precision('Sale Price'), readonly=True),
                }
      
stock_production_lot()