# -*- encoding: utf-8 -*-
##############################################################################
#
#    Copyright (c) 2011 Ting & Avanzosc (http://www.openerpsite.com) All Rights Reserved.
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see http://www.gnu.org/licenses/.
#
##############################################################################

from osv import osv, fields
from tools.translate import _
import time
import tools
import netsvc


class wizard_return_product(osv.osv_memory):    
    _name = "wizard.return.product"
    _description = "Wizard To Return Products"
       
    _columns = {'name':fields.char('name', size=64),
                }
    _defaults = {
                 'name': lambda *a:'a',
                 }
    
    def button_return_products(self, cr, uid, ids, context=None):
        move_obj = self.pool.get('stock.move')
        datas = {}
        move_ids = context.get('active_ids')
        if move_ids:
            for move in move_obj.browse(cr,uid,move_ids):
                if move.production_id2:
                    if move.state == 'assigned':
                        move_obj.action_done(cr, uid, [move.id], context)        

        return {'type': 'ir.actions.act_window_close'}                     

wizard_return_product()