# -*- encoding: utf-8 -*-
##############################################################################
#
#    Avanzosc - Avanced Open Source Consulting
#    Copyright (C) 2011 - 2013 Avanzosc <http://www.avanzosc.com>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see http://www.gnu.org/licenses/.
#
##############################################################################
from osv import osv
from osv import fields
import decimal_precision as dp
from tools.translate import _

class mrp_bom_operations_product(osv.osv):
    
    _name = 'mrp.bom.operations.product'
    _inherit = 'mrp.bom.operations.product'
    
    _columns = {'bom_id': fields.many2one('mrp.bom', 'Parent BOM', required=True),
                }
    
    _defaults = {'bom_id': lambda self, cr, uid, c: c.get('bom_id', False),
                 }
    
    def prod_onchange_operations_product(self, cr, uid, ids, product_id, bom_id):
        bom_obj = self.pool.get('mrp.bom')
        product_obj = self.pool.get('product.product')
        if product_id and bom_id:
            bom = bom_obj.browse(cr,uid,bom_id)
            product = product_obj.browse(cr,uid,product_id)
#            if bom.product_uom.id != product.uom_id.id:
#                raise osv.except_osv(_('Product Error'),_('The product must have the same unit of measurement as the product to produce'))

        return super(mrp_bom_operations_product,self).prod_onchange(cr, uid, ids, product_id)

mrp_bom_operations_product()
