# -*- encoding: utf-8 -*-
##############################################################################
#
#    Avanzosc - Avanced Open Source Consulting
#    Copyright (C) 2010 - 2011 Avanzosc <http://www.avanzosc.com>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see http://www.gnu.org/licenses/.
#
##############################################################################

from osv import osv,fields

class company(osv.osv):
    _inherit = 'res.company'
    
    _columns = {
                'material_account': fields.many2one('account.account', 'Material Cost Account', domain="[('type', '=', 'other')]", help="Account to impute material costs"),
                'workcenter_account': fields.many2one('account.account', 'Workcenter Cost Account', domain="[('type', '=', 'other')]", help="Account to impute workcenter costs"),
                'operator_account': fields.many2one('account.account', 'Operator Cost Account', domain="[('type', '=', 'other')]", help="Account to impute operator costs"),
                }
    
company()