# -*- encoding: utf-8 -*-
##############################################################################
#
#    Copyright (c) 2011 Ting & Avanzosc (http://www.openerpsite.com) All Rights Reserved.
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see http://www.gnu.org/licenses/.
#
##############################################################################

from osv import fields,osv
from tools.translate import _


class product_product(osv.osv):
    _name = 'product.product'
    _description = 'MRP Product Extension'
    _inherit = 'product.product'

    _columns = {
                'default_location':fields.many2one('stock.location', 'Default Location', help='Default real location of the product'),
                'mrp_bom_fp_id': fields.many2one('mrp.bom.operations.product', 'bom final products' ),
            }

product_product()