# -*- encoding: utf-8 -*-
##############################################################################
#
#    Copyright (c) 2011 Ting & Avanzosc (http://www.openerpsite.com) All Rights Reserved.
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see http://www.gnu.org/licenses/.
#
##############################################################################

from osv import osv, fields
from tools.translate import _
import time
import tools
import netsvc


class wizard_force_disponibility(osv.osv_memory):    
    _name = "wizard.force.disponibility"
    _description = "Wizard Force Disponibility of Internal Picking"
       
    _columns = {'name':fields.char('name', size=64),
                }
    _defaults = {
                 'name': lambda *a:'a',
                 }
    
    def internalpicking_force_disponibility(self, cr, uid, ids, context=None):
        picking_obj = self.pool.get('stock.picking')
        datas = {}
        internal_picking_ids = context.get('active_ids')
        if internal_picking_ids:
            for picking in picking_obj.browse(cr,uid,internal_picking_ids):
                if picking.type == 'internal' and picking.internal_type == 'input' and picking.state == 'confirmed':
                    picking_obj.force_assign(cr, uid, [picking.id])

        return {'type': 'ir.actions.act_window_close'}                     

wizard_force_disponibility()