# -*- encoding: utf-8 -*-
##############################################################################
#
#    Avanzosc - Avanced Open Source Consulting
#    Copyright (C) 2011 - 2013 Avanzosc <http://www.avanzosc.com>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see http://www.gnu.org/licenses/.
#
##############################################################################
from osv import osv
from osv import fields
import decimal_precision as dp
from tools.translate import _

class mrp_production_operation_real(osv.osv):
    
    _name = 'mrp.production.operation.real'
    _inherit = 'mrp.production.operation.real'
    
    def action_partial_produce_bysumqty(self, cr, uid, ids, context=None):
        val=True
        for real_operation in self.browse(cr,uid,ids,context):
            if real_operation.production_id.with_generate_bysumqty == False:
                context.update({'active_ids':[real_operation.id],
                                'active_model': 'mrp.production.operation.real'})
                #llamada al wizard
                val = {
                        'name':'Produce',
                        'type':'ir.actions.act_window',
                        'res_model':'partial.produce',
                        'view_type':'form',
                        'view_mode':'form',
                        'nodestroy':True,
                        'target':'new',
                        'context':context,
                       }
            else:
                if real_operation.production_id.bom_id.generate_bysumqty == False:
                    context.update({'active_ids':[real_operation.id],
                                    'active_model': 'mrp.production.operation.real'})
                    #llamada al wizard
                    val = {
                            'name':'Produce',
                            'type':'ir.actions.act_window',
                            'res_model':'partial.produce',
                            'view_type':'form',
                            'view_mode':'form',
                            'nodestroy':True,
                            'target':'new',
                            'context':context,
                           }
                else:
                    context.update({'operation_real_id':real_operation.id})
                    #llamada al wizard
                    val = {
                            'name':'Produce',
                            'type':'ir.actions.act_window',
                            'res_model':'produce.bysumqty',
                            'view_type':'form',
                            'view_mode':'form',
                            'nodestroy':True,
                            'target':'new',
                            'context':context,
                           }
                
                        
        return val
    
    
    
    
    
    action_partial_produce_bysumqty

mrp_production_operation_real()
